Application: gvSIG desktop - gvSIG bugs #2668
Geology symbols seems not installed in the Plugin manager
07/14/2014 05:01 AM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category: Symbology

Target version: 2.1.0-2245-testing

Severity: Minor Add-on version:

gvSIG version: 2.1.0 Add-on build:

gvSIG build: 2234 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: symbols, symbology Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Geology symbols seems to be not installed in the Plugin manager, but they're available in the Symbols browser.

History

#1 - 07/22/2014 07:57 AM - Alvaro Anguix
- Status changed from New to Closed
- File Symbols.png added

It's ok in gvSIG build 2238. Add image

#2 - 07/22/2014 09:57 AM - Antonio Falciano
- Status changed from Closed to New

The issue still persists on my machine (Win7 64-bits) with build 2238. Checking in the Geology symbol folder, | have found that the package.info file is
missing for some reason, so the Addon Manager doesn't find it and these symbols seem to be not installed. I've removed the symbol package and

reinstalled it again without success.

#3 - 07/28/2014 04:16 AM - Antonio Falciano

Reinstalling the Geology symbols again with BN2239, the gvSIG.log tells me that there are problems uncompressing the plugin:

WARN Package install org.gvsig.installer.lib.impl.utils.Decompress - Problems uncompresing plugin (last entry \Geology\Neotectonic &
Earthquake-Hazard\Epicenter 7.5>.gvssym'.
java.io.FileNotFoundException: C:\Users\Antonio\gvSIG\plugins\org.gvsig.app.mainplugin\Symbols\Geology\Neotectonic &
Earthquake-Hazard\Epicenter 7.5>.gvssym (La sintassi del nome del file, della directory o del volume non € corretta)

at java.io.FileOutputStream.open(Native Method)

at java.io.FileOutputStream.<init>(Unknown Source)

at java.io.FileOutputStream.<init>(Unknown Source)

at org.gvsig.installer.lib.impl.utils.Decompress.decompressPlugin(Decompress.java:362)

at org.gvsig.installer.lib.impl.utils.Decompress.decompressPlugin(Decompress.java:135)

at org.gvsig.installer.lib.impl.DefaultinstallerProviderServices.decompress(DefaultinstallerProviderServices.java:63)
at org.gvsig.symbology.app.symbolinstaller.execution.SymbolinstallerExecutionProvider.install(SymbolinstallerExecutionProvider.java:77)

at org.gvsig.installer.lib.impl.execution.DefaultinstallPackageService.installPackage(DefaultinstallPackageService.java:284)

at org.gvsig.installer.swing.impl.execution.wizard.ProgressWizard$UpdatePanel.run(ProgressWizard.java:125)
WARN Package install org.gvsig.installer.lib.impl.utils.Decompress - Can't decompress plugin in
'C:\Users\Antonio\gvSIG\plugins\org.gvsig.app.mainplugin\Symbols'.
java.io.FileNotFoundException: C:\Users\Antonio\gvSIG\plugins\org.gvsig.app.mainplugin\Symbols\Geology\Neotectonic &
Earthquake-Hazard\Epicenter 7.5>.gvssym (La sintassi del nome del file, della directory o del volume non € corretta)

at java.io.FileOutputStream.open(Native Method)

at java.io.FileOutputStream.<init>(Unknown Source)

at java.io.FileOutputStream.<init>(Unknown Source)

at org.gvsig.installer.lib.impl.utils.Decompress.decompressPlugin(Decompress.java:362)

at org.gvsig.installer.lib.impl.utils.Decompress.decompressPlugin(Decompress.java:135)

at org.gvsig.installer.lib.impl.DefaultinstallerProviderServices.decompress(DefaultinstallerProviderServices.java:63)

at org.gvsig.symbology.app.symbolinstaller.execution.SymbolinstallerExecutionProvider.install(SymbolinstallerExecutionProvider.java:77)

at org.gvsig.installer.lib.impl.execution.DefaultinstallPackageService.installPackage(DefaultinstallPackageService.java:284)

at org.gvsig.installer.swing.impl.execution.wizard.ProgressWizard$UpdatePanel.run(ProgressWizard.java:125)

#4 - 07/28/2014 08:14 AM - Joaquin del Cerro Murciano
Es un problema con los nombres de los simbolos. Estos contienen "&", ">" y "<" y en windows hay problemas para crear fichers con estos caracteres
en los nombres de fichero ("Neotectonic & Earthquake-Hazard\Epicenter 7.5>.gvssym")

Cuando podamos reharemos el paquete renombrando esos simbolos.

#5 - 08/07/2014 05:32 AM - Alvaro Anguix

- Target version set to 2.1.0-2259-rc3

- Assignee set to Joaquin del Cerro Murciano
- Status changed from New to Fixed

Joaquin: he regenerado los paquetes cambiando esos caracteres por otros que acepte Windows. Lo he subido (creo que al sitio correcto) a
https://devel.gvsig.org/download/projects/gvsig-base-symbols/pool/

#6 - 08/07/2014 10:18 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2245-testing

#7 - 08/08/2014 04:46 AM - Antonio Falciano

- Status changed from Fixed to Closed

The version 1.0.0-1 results correctly installed now. You can remove the 1.0.0-0 from the repository, because it's duplicated.

Files
geology_symbols.png 99 KB 07/14/2014 Antonio Falciano
Symbols.png 56.9 KB 07/22/2014 Alvaro Anguix
